ESM(4)

NAME
esm - ESS Technology Maestro 2/2E PCI Audio Accelerator audio device driver

SYNOPSIS
esm* at pci? dev ? function ?
audio* at audiobus?

DESCRIPTION
The esm device driver supports sound cards based on ESS Technology Maestro, Maestro-2, and Maestro-2E PCI AC97 Audio Accelerator chips (ES1968 and ES1978). Due to their power management capabilities, the Maestro chips are often used in laptop and notebook systems.

The Maestro is a full-duplex device that allows independent playback and recording at sample rates between 4000 Hz and 48 kHz. The sound processor is capable of handling and converting 8 and 16 bit mono and stereo data.

SEE ALSO
ac97(4), audio(4), joy(4), mpu(4), pci(4)

HISTORY
The esm device driver appeared in NetBSD 1.6.

BUGS
Currently, this driver only supports 16-bit mono recording; an unknown bug causes stereo recording to miss a channel. Also not supported yet are hardware volume settings, MIDI, and joystick input.